<?php


namespace WeLoveCustomers\Connector\Block\Adminhtml\System\Config;

class Url extends \Magento\Config\Block\System\Config\Form\Field
{
    protected $_storeManager;

    public function __construct(
        \Magento\Store\Model\StoreManagerInterface $storeManager
    )
    {
        $this->_storeManager = $storeManager;

    }

    /**
     * @return mixed
     */
    public function getExtensionVersion()
    {
        $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
        $versionInfo = $objectManager->get('Magento\Framework\Module\ModuleList')->getOne('WeLoveCustomers_Connector');
        $versionextension = $versionInfo['setup_version'];
        return $versionextension;

    }

    /**
     * @param \Magento\Framework\Data\Form\Element\AbstractElement $element
     * @return string
     * @throws \Magento\Framework\Exception\NoSuchEntityException
     */
    protected function _getElementHtml(\Magento\Framework\Data\Form\Element\AbstractElement $element)
    {
        return __('Please create your account using this link: ') . '<a href="'.$this->getLink(). '" target="_blank"> '.__('Create my referral program').'</a>';

    }

    /**
     * @return string
     * @throws \Magento\Framework\Exception\NoSuchEntityException
     */
    public function getLink()
    {
        $baseurl = $this->_storeManager->getStore()->getBaseUrl();
        return 'http://www.welovecustomers.fr/developpez-le-parrainage-en-e-commerce/?utm_campaign=install-plugin&utm_source=magento2&utm_medium=' . $this->getExtensionVersion() . '&utm_term=' . $baseurl;
    }
}
