<?php
/**
 * Created by PhpStorm.
 * User: sebastien
 * Date: 2018-12-18
 * Time: 09:52
 */

namespace WeLoveCustomers\Connector\Controller\Config;

use Magento\Framework\App\Action\Context;
use WeLoveCustomers\Connector\Block\Adminhtml\System\Config\Versionnumber;
use WeLoveCustomers\Connector\Endpoint\CheckConfigEndpoint;

class Check extends \Magento\Framework\App\Action\Action
{

    /**
     * @var CheckConfigEndpoint
     */
    private $endpoint;


    public function __construct(Context $context)
    {
        parent::__construct($context);
        $this->endpoint = new CheckConfigEndpoint();
    }


    public function execute() {

        header('Content-Type: application/json');

        $status = "ko";
        $isValidConfig = $this->endpoint->checkConfig();

        if($isValidConfig) {
            $status = "ok";
        }

        $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
        $productMetadata = $objectManager->get('Magento\Framework\App\ProductMetadataInterface');
        $weLoveCustomersMetadata = $objectManager->get('Magento\Framework\Module\ModuleList')->getOne('WeLoveCustomers_Connector');

        echo json_encode(array(
            'code' => 200,
            "status" => $status,
            'framework_type' => 'Magento2',
            'framework_version' => $productMetadata->getVersion(),
            'php_version' => phpversion(),
            'module_version' => $weLoveCustomersMetadata['setup_version']
        ));

        die;
    }
}